@font-face {
  font-family: 'Poppins_reg';
  src: url('/assets/fonts/Poppins-Regular.ttf') format('truetype');
}

@font-face {
  font-family: 'Poppins_med';
  src: url('/assets/fonts/Poppins-Medium.ttf') format('truetype');
}

@font-face {
  font-family: 'Poppins_bold';
  src: url('/assets/fonts/Poppins-Bold.ttf') format('truetype');
}

:root {
  --border-radius: 0;
  --font: Poppins_med;
  --text-color: #f0f0f0;
  --shadow-color: #cacaca;
  --background-color: #0f0f0f;
  --sec-background-color: #262626;
  --accent-color: #8a98ac;
}

html, body {
  background-color: var(--background-color);
  color: var(--text-color);
  accent-color: var(--accent-color);
  font-family: var(--font);
  
  font-size: 17px;
  position: relative;
  height: 100%;
  width: 100%;
  padding: 0;
  margin: 0;
  overflow: hidden;
}

nav {
  display: flex;
  padding: 15px;
  gap: 20px;
  position: relative;
  z-index: 1;

  .navlink {
    text-decoration: none;
    color: var(--text-color);

    background-image: linear-gradient(to bottom,
        transparent 0%,
        transparent 90%,
        var(--accent-color) 90%,
        var(--accent-color) 100%);

    background-repeat: no-repeat;
    background-size: 0% 100%;
    background-position-x: right;

    transition: background-size 300ms;
  }

  .navlink:hover {
    background-size: 100% 100%;
    background-position-x: left;
  }

  .navlink.home {
    margin-left: auto;
  }
}

#particles-js {
  height: 100%;
  width: 100%;
  position: absolute;
  z-index: 0;
}

main {
  position: relative;
  z-index: 1;
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

@media (max-device-height: 900px) {
  main {
    transform: scale(0.8);
  }
}

@media (max-device-height: 750px) {
  main {
    transform: scale(0.6);
  }
}

.card {
  display: inline-block;
  text-align: center;
  background-color: var(--background-color);
  padding: 40px;
  padding-bottom: 15px;
  margin: 20px;
  border-radius: var(--border-radius);
  border: var(--text-color) 4px solid;
  box-shadow: 10px 10px var(--border-radius) 0 var(--shadow-color);
  transition: all 0.1s ease-in-out;
}

.card:hover {
  transform: translate(-5px, -5px);
  box-shadow: 14px 14px var(--border-radius) 0 var(--shadow-color);
}

.avatar {
  width: 200px;
  height: 200px;
  object-fit: cover;
  border-radius: 100%;
}

.nick {
  font-size: 50px;
  font-family: Poppins_bold;
  margin-block: 10px;

  background-image: linear-gradient(to bottom,
      transparent 0%,
      transparent 90%,
      var(--accent-color) 90%,
      var(--accent-color) 100%);

  background-repeat: no-repeat;
  background-size: 0% 100%;
  background-position-x: right;

  transition: background-size 300ms;
}

.nick:hover {
  background-size: 100% 100%;
  background-position-x: left;
}

.languages {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 20px;
}

.lang {
  fill: var(--text-color);
  transition: all 0.1s ease-in-out;
}

.lang p {
  margin: 0;
  padding: 0;
}

.lang.python:hover {
  fill: #aca98a;
}

.lang.golang:hover {
  fill: #8a98ac;
}

.links {
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
}

.link {
  background-color: var(--background-color);
  display: flex;
  gap: 10px;
  text-wrap: nowrap;
  padding: 15px;
  margin: 15px;
  border: var(--text-color) 4px solid;
  color: var(--text-color);
  text-decoration: none;
  box-shadow: 5px 5px var(--border-radius) 0 var(--shadow-color);
}

.link:hover, .link:active {
  transform: translate(5px, 5px);
  box-shadow: 0px 0px var(--border-radius) 0 var(--shadow-color);
}
